export const iconContent = new Map();
const requests = new Map();
export const getSvgContent = (url) => {
  let req = requests.get(url);
  if (!req) {
    req = fetch(url).then(rsp => {
      if (rsp.ok) {
        return rsp.text().then(svgContent => {
          iconContent.set(url, svgContent || '');
        });
      }
      iconContent.set(url, '');
    });
    requests.set(url, req);
  }
  return req;
};
